Download it now!
Bug 64047 - Allow setting language for slide or presentation entirely
Summary: Allow setting language for slide or presentation entirely
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.2.1 rc
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-29 13:23 UTC by Michal Svec
Modified: 2018-12-06 22:12 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Functionnality in Writer (96.83 KB, image/png)
2013-11-09 11:58 UTC, Arnaud Versini
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Svec 2013-04-29 13:23:20 UTC
Writer has it in the menu:
Tools -> Language -> For all Text

Impress does not have anything like that, so one has to go through
all slides, all paragraphs and change the language for each of those
by hand (which is tedious, to say the least).

Operating System: openSUSE
Version: 4.0.2.1 rc
Comment 1 Joel Madero 2013-04-30 04:36:12 UTC
where do you see "for all text"

Writer has it in the menu:
Tools -> Language -> For all Text


?? I don't see that setting anywhere
Comment 2 Urmas 2013-04-30 12:05:42 UTC
It's the third one from above.

Confirming as an enhancement.
Comment 3 Joel Madero 2013-05-01 02:07:54 UTC
Thanks Urmas for confirming - still not seeing the setting, 3rd one from above where? Really curious where this is :)

Urmas - always great work, appreciate you helping us out
Comment 4 Arnaud Versini 2013-11-09 11:58:15 UTC
Created attachment 88927 [details]
Functionnality in Writer
Comment 5 Commit Notification 2014-04-23 13:05:37 UTC
Muthu Subramanian committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0833f4046a1afa77aeed97a131c5325c44be1bb3

fdo#64047: n#863021: Add set-all language menu.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2014-05-12 11:29:41 UTC
I'm not really happy with this solution. It invokes the Languages options tabpage with all its bells and whistles of which some are not related or may even not be applicable. I have the same doubts for Writer btw.
Comment 7 Commit Notification 2014-05-25 19:40:24 UTC
Muthu Subramanian committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=585077d4f681582386baa10acff53abdd280552b&h=libreoffice-4-2

fdo#64047: n#863021: Add set-all language menu.


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2016-09-15 21:36:50 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2017-11-05 21:55:13 UTC
A polite ping to Muthu Subramanian: is this bug fixed? if so, could you please
close it as RESOLVED FIXED ? Thanks
Comment 10 Thomas Lendo 2018-12-06 22:12:56 UTC
I set this bug as RESOLVED FIXED as there are commits reported and I tested the "Tools > Language > For all text" feature and it seems to work in my quick test.

If there are bugs in this implementation, please open a new bug with reference to this one.